Skip to main content
POST
/
opportunities
Create an opportunity
curl --request POST \
  --url https://www.ruddr.io/api/workspace/opportunities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "companyId": "<string>",
  "opportunityPipelineId": "<string>",
  "description": "<string>",
  "nextSteps": "<string>",
  "amount": 123,
  "probability": 123,
  "priorityId": "high",
  "openDate": "2023-12-25",
  "closeDate": "2023-12-25",
  "currency": "<string>",
  "cloudFolderUrl": "<string>",
  "ownerId": "<string>",
  "opportunityLeadSourceId": "<string>",
  "opportunityTypeId": "<string>",
  "tagIds": [
    "<string>"
  ],
  "practiceId": "<string>",
  "projects": [
    {
      "id": "<string>",
      "amount": 123
    }
  ],
  "opportunityStageId": "<string>"
}
'
{
  "id": "6739fb0c-d986-4eee-a427-3fbd68f66f76",
  "name": "Acme Corp - Mobile App",
  "description": "Proposal for a new mobile application.",
  "nextSteps": "Follow up with client on proposal.",
  "amount": 50000,
  "probability": 0.75,
  "priorityId": "high",
  "createdAt": "2025-01-15T20:47:03.284Z",
  "openDate": "2025-01-15",
  "closeDate": "2025-06-30",
  "modifiedAt": "2025-01-15T20:47:03.284Z",
  "currency": "USD",
  "cloudFolderUrl": "https://drive.google.com/drive/folders/abc123",
  "weightedAmount": 37500,
  "owner": {
    "id": "94bc043d-95cb-4f4b-8a9f-8e74cd3dd0db",
    "name": "John Davis"
  },
  "opportunityLeadSource": {
    "id": "1df022a4-0e91-463f-a88c-b6149c322abd",
    "name": "Referral"
  },
  "opportunityType": {
    "id": "8ab56d67-b2f1-40b0-be44-f99556b4aae9",
    "name": "New Business"
  },
  "tags": [
    {
      "id": "dbdf3703-1fa6-419c-957e-ff427b39d1e6",
      "name": "Enterprise"
    }
  ],
  "practice": {
    "id": "65935388-b0a1-49ed-97e0-6f0d909af05e",
    "name": "Consulting"
  },
  "company": {
    "id": "a961cced-0689-4951-9929-9760057618fd",
    "name": "Acme Corp",
    "client": {
      "id": "aa39afdb-e168-4956-b061-41c7c62e8c2e",
      "key": "acme-corp",
      "name": "Acme Corp"
    }
  },
  "projects": [
    {
      "id": "8274644a-2b50-46ac-b84d-ade1cefa3b4f",
      "name": "Mobile App Development",
      "amount": 50000
    }
  ],
  "opportunityStage": {
    "id": "5fa87e8d-a60f-402e-b9dc-2fd33626cbd9",
    "name": "Proposal",
    "statusId": "open"
  },
  "opportunityPipeline": {
    "id": "b9c85ac3-1a1d-4f31-a0c5-6e7d3d8ee0b2",
    "name": "Sales"
  },
  "timeSpent": 0,
  "salesforceId": "0060b00000BkFxAAAV",
  "hubspotId": "12345678"
}
A potential business deal within a company, typically with an associated revenue value and sales details like stage, owner, probability, and expected close date.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The name of the opportunity. Max 255 characters.

companyId
string
required

The ID (uuid) of the company associated with the opportunity.

opportunityPipelineId
string
required

The ID (uuid) of the opportunity pipeline.

description
string | null

A description of the opportunity. Max 5000 characters.

nextSteps
string | null

The next steps for the opportunity. Max 255 characters.

amount
number | null

The monetary amount of the opportunity.

probability
number

The probability of the opportunity closing successfully. Accepts a value of 0 to 1 using a maximum of four decimals.

priorityId
enum<string> | null

The priority of the opportunity.

Available options:
high,
medium,
low
openDate
string<date> | null

The open date of the opportunity in YYYY-MM-DD format.

closeDate
string<date> | null

The expected close date of the opportunity in YYYY-MM-DD format.

currency
string

The 3-letter currency code for the opportunity. Defaults to the workspace currency if not provided.

cloudFolderUrl
string | null

A URL to a cloud folder associated with the opportunity. Max 1024 characters.

ownerId
string | null

The member ID (uuid) of the owner of the opportunity.

opportunityLeadSourceId
string | null

The ID (uuid) of the lead source for the opportunity.

opportunityTypeId
string | null

The ID (uuid) of the opportunity type.

tagIds
string[]

A list of opportunity tag IDs (uuid) to associate with the opportunity.

practiceId
string | null

The ID (uuid) of the practice associated with the opportunity.

projects
object[]

A list of projects to associate with the opportunity.

opportunityStageId
string

The ID (uuid) of the opportunity stage. Defaults to the active stage with the lowest probability if not provided.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the opportunity.

description
string | null

A description of the opportunity.

nextSteps
string | null

The next steps for the opportunity.

amount
number | null

The monetary amount of the opportunity.

probability
number

The probability of the opportunity closing successfully, expressed as a decimal between 0 and 1.

priorityId
enum<string> | null

The priority level of the opportunity.

Available options:
high,
medium,
low
createdAt
string<date-time>

The timestamp when the object was created.

openDate
string<date>

The date the opportunity was opened. Will be in the form YYYY-MM-DD.

closeDate
string<date> | null

The expected close date for the opportunity. Will be in the form YYYY-MM-DD.

modifiedAt
string<date-time>

The timestamp when the object was last modified.

currency
string

The 3-letter currency code for the opportunity.

cloudFolderUrl
string | null

A URL to a cloud folder associated with the opportunity.

weightedAmount
number | null

The probability-weighted amount, calculated as amount multiplied by probability.

owner
object

The owner of the opportunity.

opportunityLeadSource
object

The lead source for the opportunity.

opportunityType
object

The type of the opportunity.

tags
object[]

The tags associated with the opportunity.

practice
object

The practice associated with the opportunity.

company
object

The company associated with the opportunity.

projects
object[]

The projects associated with the opportunity.

opportunityStage
object

The current stage of the opportunity.

opportunityPipeline
object

The pipeline the opportunity belongs to.

timeSpent
integer

Total time spent in minutes across all pipeline activities.

salesforceId
string | null

The Salesforce opportunity ID. Will be null unless synced via the Salesforce integration.

hubspotId
string | null

The HubSpot deal ID. Will be null unless synced via the HubSpot integration.